SYNC_INODE(9)

NAME
sync_inode - write an inode and its pages to disk.

SYNOPSIS

int sync_inode(struct inode * inode, struct writeback_control * wbc);

ARGUMENTS

inode
    the inode to sync

wbc
    controls the writeback mode

DESCRIPTION

sync_inode will write an inode and its pages to disk. It will also correctly update the inode on its superblock's dirty inode lists and will update inode->i_state.

The caller must have a ref on the inode.

COPYRIGHT